#Test module loadability

#Imported in C++ as file_load_py_test and executed as a string
#Loaded by BLpython3 as a simple way to test if Python works
#Failure will not inhibit continued loading but likely indicates impending cataostrophic failure

import inspect, sys, os, time, sqlite3, BLpython

def ism(obj):
	return inspect.ismodule(obj)

if ism(os) and ism(time) and ism(sqlite3) and ism(BLpython):
	pass

